#
# Conditional build:
# we are missing the 'expects' library to run the tests
%bcond_with	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	dockerpty
Summary:	Python library to use the pseudo-tty of a docker container
Name:		python-%{module}
Version:	0.4.1
Release:	10
License:	Apache v2.0
Group:		Development/Libraries
Source0:	https://github.com/d11wtq/%{module}/archive/98c85b13/%{module}-98c85b13.tar.gz
# Source0-md5:	076876e830e29135214a2091b4b69c00
URL:		https://github.com/d11wtq/dockerpty
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-six
%endif
%if %{with python3}
BuildRequires:	python3-six
%endif
Requires:	python-docker
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides the functionality needed to operate the pseudo-tty (PTY)
allocated to a docker container, using the Python client

%package -n python3-%{module}
Summary:	Python library to use the pseudo-tty of a docker container
Group:		Development/Languages
Requires:	python3-docker

%description -n python3-%{module}
Provides the functionality needed to operate the pseudo-tty (PTY)
allocated to a docker container, using the Python client

%prep
%setup -qc
mv %{module}-*/* .

%build
%if %{with python3}
%py_build
%if %{with tests}
LANG=en_US.utf8 py.test-%{py_ver} -vv tests
%endif
%endif

%if %{with python3}
%py3_build
%if %{with tests}
LANG=en_US.utf8 py.test-%{py3_ver} -vv tests
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.md LICENSE.txt MANIFEST.in
%{py_sitescriptdir}/dockerpty
%{py_sitescriptdir}/dockerpty-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.md LICENSE.txt MANIFEST.in
%{py3_sitescriptdir}/dockerpty
%{py3_sitescriptdir}/dockerpty-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-dockerpty.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 09dc419
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 70fc540
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> d88c30c
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 0cce9f9
- release 7 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 0068640
- rebuild with python 3.8
- release 6 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3180182
- release 5 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f3233d6
- python 3.7 rebuild
- release 4 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b9ba15
- python 3.6
- release 3 (by relup.sh)

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> f36b409
- cleanup generated egg deps

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> c0cf146
- fix docker dep

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> 381a3d5
- new, version 0.4.1

